Bug 841958 - [abrt] pcmanfm-0.9.10-2.fc17: strcmp: Process /usr/bin/pcmanfm was killed by signal 11 (SIGSEGV)
[abrt] pcmanfm-0.9.10-2.fc17: strcmp: Process /usr/bin/pcmanfm was killed by ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pcmanfm (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
abrt_hash:c330efb51bd08d571a1b4f405e4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 12:49 EDT by Chen_Min_Chin
Modified: 2013-08-01 01:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:26:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (4.61 KB, text/plain)
2012-07-20 12:49 EDT, Chen_Min_Chin
no flags Details
File: backtrace (84.39 KB, text/plain)
2012-07-20 12:49 EDT, Chen_Min_Chin
no flags Details
File: maps (33.20 KB, text/plain)
2012-07-20 12:49 EDT, Chen_Min_Chin
no flags Details
File: dso_list (6.05 KB, text/plain)
2012-07-20 12:49 EDT, Chen_Min_Chin
no flags Details

  None (edit)
Description Chen_Min_Chin 2012-07-20 12:49:27 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        pcmanfm --desktop --profile LXDE
crash_function: strcmp
executable:     /usr/bin/pcmanfm
kernel:         3.4.5-2.fc17.x86_64
pid:            1225
pwd:            /home/chen
time:           Sat 21 Jul 2012 12:46:59 AM CST
uid:            1000
username:       chen

backtrace:      Text file, 86416 bytes
core_backtrace: Text file, 4723 bytes
dso_list:       Text file, 6192 bytes
maps:           Text file, 33998 bytes

build_ids:
:0b5136eb97c122ea97853b81cd09ca71d163654d
:f69712fe393313f44607679e934bf5a67f39ec50
:9e6594e38d36f94f5e02c90731970f1c72396147
:faca16f15d87b83d2947a386e319b02f724dcbb5
:6086bff484a49cc8b80cb714d7e83a6391394800
:8c1105fdca80308f44d545b954a7dcd518f98db5
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:ac943af4aaadceb5deb00b73d39c85444512c747
:f4d479614b09460085428bbe7d53df454d0d39e5
:5b0ef4adb3be2f980643de2a2f9e43422958832f
:b277af36744327e3d58eae76bcdaadcca71a28c6
:6088efab2ef3571c51fb041bb70b4ab626221ba4
:904e459a5c4c7a8c92d688a6d70a8d428acc19cf
:ec87953f655fbcbcbe71b591db5451e56739576e
:e45258c755689bf1d66580f1c9a3f9d4d3f26235
:3bbeb82b3bc850005dc0f186e15b20b45df0cbaa
:31243d0d107bba586a96433c76c87a26db1e826c
:f4c064df8745dff15466d705fb049138f9a5c949
:253afe744466fe7580bbb6040de6183dba9e2b02
:6668de624a10d486a3484d5b4921f87b1e77d36c
:e48810bd9d6ad9358cc2aff3d0c8532485f59b90
:3596e33b33a0ac83e7c3218b687e1458c7765225
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:fb86c3a448f22bd68843d5aa0b35e74d20629e85
:99c23b21038c62b0628b93610fb54c5900c40ffd
:54a5cc118d928470da13565de8592b664a9868e0
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:42675a8ad8f70ff19362070510cdf1ba202a70db
:67792c148d2b8f13f6732c9367e926c26d7376c5
:822e9b3523e8312240f41a25722d539bc77ed436
:404cbecd24d186758ed474b345313da28b2990fa
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:406ccfa4081367b263a2fd95b5e7b59d680cce34
:80715e18def3ab321142eb49e7b19167fb2cca87
:d804f8ee47797da9213a92f00cd095ecada8d79f
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:7c35310fc506498c612d5d982ab03becc4b4817c
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:508cf66f72e70054a41215f80ed2385c6bb80030
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:4b044fe80e4c1b69986abc4b160c303048005d4e
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:8f7c190397d7c1f617e66f18f759714662b60367
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:247132297f287226a24c12e683292f5c94013066
:5350b5972464f66f404861dc50225a114a2a5e7e
:d8d393649ae4da146ebc8812db58514f245f08a9

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/chen/1

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:SAL_USE_VCLPLUGIN=gtk
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=lxde-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/home/chen/.cache/keyring-4vlJkj
:SYSFONT=True
:QTDIR=/usr/lib/qt-3.3
:QTINC=/usr/lib/qt-3.3/include
:IMSETTINGS_MODULE=IBus
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=chen
:DESKTOP_SESSION=LXDE
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/chen/.local/bin:/home/chen/bin
:MAIL=/var/spool/mail/chen
:QT_IM_MODULE=xim
:PWD=/home/chen
:XMODIFIERS=@im=ibus
:GNOME_KEYRING_PID=1026
:LANG=en_US.UTF-8
:KEYTABLE=us
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:XDG_SEAT=seat0
:HOME=/home/chen
:SHLVL=1
:XDG_CONFIG_HOME=/home/chen/.config
:BOOT_IMAGE=/vmlinuz-3.4.5-2.fc17.x86_64
:LOGNAME=chen
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-EoFISilYBc,guid=45154249a48fcba57a8eba0d00000073
:PREFERRED=/usr/bin/startlxde
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:XDG_RUNTIME_DIR=/run/user/chen
:DISPLAY=:0
:XAUTHORITY=/home/chen/.Xauthority
:_LXSESSION_PID=1093
:XDG_CURRENT_DESKTOP=LXDE

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31457                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31457                31457                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/var/log/lxdm.log
:pos:	2403
:flags:	0102001
:2:/home/chen/.xsession-errors
:pos:	250973
:flags:	0100001
:3:socket:[17399]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[17400]
:pos:	0
:flags:	02
:6:pipe:[17401]
:pos:	0
:flags:	00
:7:pipe:[17401]
:pos:	0
:flags:	01
:8:socket:[17402]
:pos:	0
:flags:	02004002
:9:anon_inode:inotify
:pos:	0
:flags:	02004000
:10:/proc/1225/mounts
:pos:	0
:flags:	0100000
:11:socket:[18015]
:pos:	0
:flags:	02004002
:12:socket:[316095]
:pos:	0
:flags:	02
:13:/home/chen/.gtk-bookmarks
:pos:	174
:flags:	0100000
:14:socket:[316081]
:pos:	0
:flags:	02004002
:15:socket:[316086]
:pos:	0
:flags:	02
:16:socket:[316087]
:pos:	0
:flags:	02004002
:17:socket:[316093]
:pos:	0
:flags:	02004002
:18:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:19:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:20:socket:[316097]
:pos:	0
:flags:	02004002
:21:/home/chen/.local/share/gvfs-metadata/home
:pos:	0
:flags:	0100000
:22:/home/chen/.local/share/gvfs-metadata/home-576b3b6d.log
:pos:	0
:flags:	0100000
:23:socket:[2395458]
:pos:	0
:flags:	02004002
:24:socket:[2396856]
:pos:	0
:flags:	02
:25:socket:[2396858]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 22cd155e-903d-449e-88d2-8b51be7fd31a
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4389.03
:CPU Vendor: GenuineIntel
:CPU Model: Pentium(R) Dual-Core CPU       T4400  @ 2.20GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2200
:System Memory: 3953
:System Swap: 6015
:Vendor: Acer
:System: Aspire 4736Z V2.08
:Form factor: Notebook
:Kernel: 3.4.5-2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10816:4133:608) pci, None, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10817:4133:608) pci, pcieport, PCI/PCI, Mobile 4 Series Chipset PCI Express Graphics Port
:(5772:42:6706:774) pci, ath9k, NETWORK, AR928X Wireless Network Adapter (PCI-Express)
:(32902:10544:4133:608) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10537:4133:608) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10521:4133:608) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(32902:10546:4133:608) pci, None, NONE, 82801I (ICH9 Family) Thermal Subsystem
:(32902:9288:4133:608) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10549:4133:608) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:4133:608) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:4133:608) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4133:608) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(6523:9091:4133:608) pci, jmb38x_ms, BASE, MS Host Controller
:(6523:9089:4133:608) pci, None, BASE, Standard SD Host Controller
:(32902:10554:4133:608) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4133:608) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:10564:4133:608) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 3
:(32902:10560:4133:608) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4133:608) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10568:4133:608) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:4133:608) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:4133:608) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4133:608) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4318:1772:4133:608) pci, nouveau, VIDEO, G98M [GeForce G 105M]
:(6523:9092:4133:608) pci, None, BASE, xD Host Controller
:(6505:4195:4133:608) pci, atl1c, ETHERNET, AR8131 Gigabit Ethernet
:(6523:9090:4133:608) pci, sdhci-pci, BASE, SD/MMC Host Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg-lv_root / ext4 4096 4096 13091841 10482684 10351634 3276800 3032796 3032796
:/dev/sda1 /boot ext4 1024 1024 508644 397101 371501 128016 127609 127609
:/dev/mapper/vg-lv_home /home ext4 4096 4096 63287551 34103636 30935380 15843328 15784528 15784528
:

var_log_messages:
:Jul 15 22:42:36 localhost abrt[12112]: Saved core dump of pid 10538 (/usr/bin/pcmanfm) to /var/spool/abrt/ccpp-2012-07-15-22:42:35-10538 (75354112 bytes)
:Jul 15 22:46:22 localhost kernel: [70553.766753] pcmanfm[12114] general protection ip:31893110f0 sp:7fff27f6ffc0 error:0 in libgtk-x11-2.0.so.0.2400.10[3189200000+46a000]
:Jul 15 22:46:23 localhost abrt[12402]: Saved core dump of pid 12114 (/usr/bin/pcmanfm) to /var/spool/abrt/ccpp-2012-07-15-22:46:22-12114 (66744320 bytes)
:Jul 16 15:50:12 localhost kernel: [18791.575140] pcmanfm[1279]: segfault at 700000006d ip 000000000041562f sp 00007fffaefcf9b0 error 4 in pcmanfm[400000+1f000]
:Jul 16 15:50:13 localhost abrt[9978]: Saved core dump of pid 1279 (/usr/bin/pcmanfm) to /var/spool/abrt/ccpp-2012-07-16-15:50:12-1279 (71282688 bytes)
:Jul 16 16:28:38 localhost kernel: [  963.686954] pcmanfm[1189]: segfault at 952975e00 ip 0000003a41a2cfae sp 00007fffc3892b80 error 4 in libglib-2.0.so.0.3200.3[3a41a00000+11d000]
:Jul 16 16:28:39 localhost abrt[3356]: Saved core dump of pid 1189 (/usr/bin/pcmanfm) to /var/spool/abrt/ccpp-2012-07-16-16:28:38-1189 (71032832 bytes)
:Jul 16 16:50:12 localhost abrt[3820]: Saved core dump of pid 3358 (/usr/bin/pcmanfm) to /var/spool/abrt/ccpp-2012-07-16-16:50:10-3358 (66670592 bytes)
:Jul 17 02:45:39 localhost abrt[2294]: Saved core dump of pid 1214 (/usr/bin/pcmanfm) to /var/spool/abrt/ccpp-2012-07-17-02:45:38-1214 (47435776 bytes)
:Jul 17 19:56:50 localhost abrt[5250]: Saved core dump of pid 1261 (/usr/bin/pcmanfm) to /var/spool/abrt/ccpp-2012-07-17-19:56:49-1261 (65392640 bytes)
:Jul 18 10:33:09 localhost kernel: [ 3992.989006] pcmanfm[1225]: segfault at 3d0000006a ip 0000003a3fe8019c sp 00007fff8e603f58 error 4 in libc-2.15.so[3a3fe00000+1ac000]
:Jul 18 10:33:10 localhost abrt[2761]: Saved core dump of pid 1225 (/usr/bin/pcmanfm) to /var/spool/abrt/ccpp-2012-07-18-10:33:09-1225 (63049728 bytes)
:Jul 20 02:01:27 localhost kernel: [12222.285786] pcmanfm[1256] general protection ip:3a41a38610 sp:7fffd6ed1128 error:0 in libglib-2.0.so.0.3200.3[3a41a00000+11d000]
:Jul 20 02:01:29 localhost abrt[4046]: Saved core dump of pid 1256 (/usr/bin/pcmanfm) to /var/spool/abrt/ccpp-2012-07-20-02:01:27-1256 (67244032 bytes)
:Jul 21 00:46:59 localhost kernel: [14867.580181] pcmanfm[1225]: segfault at 0 ip 00000031e933a2c6 sp 00007fff1d5c1d28 error 4 in libc-2.15.so[31e9200000+1ac000]
:Jul 21 00:47:00 localhost abrt[5440]: Saved core dump of pid 1225 (/usr/bin/pcmanfm) to /var/spool/abrt/ccpp-2012-07-21-00:46:59-1225 (65265664 bytes)

xsession_errors:
:(pcmanfm:1225): GLib-GObject-WARNING **: instance of invalid non-instantiatable type `(null)'
:(pcmanfm:1225): GLib-GObject-CRITICAL **: g_signal_emit_valist: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed
:(pcmanfm:1225): Gtk-CRITICAL **: IA__gtk_widget_is_toplevel: assertion `GTK_IS_WIDGET (widget)' failed
:(pcmanfm:1225): GLib-GObject-WARNING **: instance of invalid non-instantiatable type `(null)'
:(pcmanfm:1225): GLib-GObject-CRITICAL **: g_signal_emit_valist: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed
Comment 1 Chen_Min_Chin 2012-07-20 12:49:31 EDT
Created attachment 599428 [details]
File: core_backtrace
Comment 2 Chen_Min_Chin 2012-07-20 12:49:33 EDT
Created attachment 599429 [details]
File: backtrace
Comment 3 Chen_Min_Chin 2012-07-20 12:49:36 EDT
Created attachment 599430 [details]
File: maps
Comment 4 Chen_Min_Chin 2012-07-20 12:49:38 EDT
Created attachment 599431 [details]
File: dso_list
Comment 5 Fedora End Of Life 2013-07-03 21:13:18 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 01:26:50 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.